Debian Bug report logs - #481234
firmware-nonfree: Include firmware for p54 driver

Package: firmware-nonfree; Maintainer for firmware-nonfree is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Sam Morris <sam@robots.org.uk>

Date: Wed, 14 May 2008 18:03:02 UTC

Severity: wishlist

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#481234; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firmware-nonfree: Include firmware for p54 driver
Date: Wed, 14 May 2008 19:00:47 +0100
Package: firmware-nonfree
Severity: wishlist

p54 is a driver for wlan cards based on prism54 hardware. The p54pi and
p54usb kernel modules require the following firmware files to operate:

p54pci.c:	err = request_firmware(&fw_entry, "isl3886", &priv->pdev->dev);
p54usb.c:	err = request_firmware(&fw_entry, "isl3887usb_bare", &priv->udev->dev);
p54usb.c:	err = request_firmware(&fw_entry, "isl3890usb", &priv->udev->dev);

Back when I was packaging p54 as an out-of-tree kernel module I put
together a script to download the firmware at install-time. It used the
following data to work out which files to download and what to name them
on the local machine:

fw_url = 'http://prism54.org/firmware/'
firmwares = (('isl????usb',      '2.4.6.0.arm', '9284895edb77ee88ec680cba4b90d55a'),
             ('isl3887usb_bare', '2.5.6.0.arm', '6ff238179cf9618aac2b5d7a34e41450'),
             ('isl3890usb',      '2.5.8.0.arm', '1c4847b33a385bc345b80697b3532dc2'),
             ('isl3886',         '2.7.0.0.arm', '09f9da7ea757173c9de1a0322a1f9782'))

The firmware files are available on <http://prism54.org/firmware/>. I
don't yet have any information about their origin, copyright or
licensing status. I'm trying to find out from the administrators of that
web server.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (530, 'testing'), (520, 'unstable'), (510, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#481234; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 481234@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: mcgrof@gmail.com, webmaster@prism54.org
Cc: 481234@bugs.debian.org
Subject: Legal status of files at http://prism54.org/firmware/
Date: Wed, 14 May 2008 19:10:14 +0100
[Message part 1 (text/plain, inline)]
Hi there, I'd like to get the firmware used by the p54 driver included
in Debian if possible. To that end, I am trying to find out if the files
at <http://prism54.org/firmware/> are licensed under a permissive
license.

Please could you let me know who owns their copyright, where they came
from, and their licensing status.

Regards,

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#481234; Package firmware-nonfree. (Thu, 20 Nov 2008 17:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 20 Nov 2008 17:36:02 GMT) Full text and rfc822 format available.

Message #15 received at 481234@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Sam Morris <sam@robots.org.uk>, 481234@bugs.debian.org
Subject: Re: Bug#481234: Legal status of files at http://prism54.org/firmware/
Date: Thu, 20 Nov 2008 18:37:22 +0100
tags 481234 wontfix
thanks

On Wed, May 14, 2008 at 07:10:14PM +0100, Sam Morris wrote:
> Please could you let me know who owns their copyright, where they came
> from, and their licensing status.

Tagging wontfix until the state is known.

Bastian

-- 
Killing is stupid; useless!
		-- McCoy, "A Private Little War", stardate 4211.8




Tags added: wontfix Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Thu, 20 Nov 2008 17:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#481234; Package firmware-nonfree. (Mon, 04 May 2009 13:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Luis R. Rodriguez" <mcgrof@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 May 2009 13:06:05 GMT) Full text and rfc822 format available.

Message #22 received at 481234@bugs.debian.org (full text, mbox):

From: "Luis R. Rodriguez" <mcgrof@gmail.com>
To: "Sam Morris" <sam@robots.org.uk>
Cc: linux-wireless@vger.kernel.org
Subject: Re: Where to get firmware for p54 driver?
Date: Tue, 20 May 2008 01:41:05 -0700
On Sat, May 17, 2008 at 4:19 AM, Sam Morris <sam@robots.org.uk> wrote:
> Does anyone know where the firmware for the p54 driver comes from?
>
> It seems to live at <http://prism54.org/firmware/>, but there is no
> statement about the origin of those files, nor their copyright or
> licensing status. I've tried contacting the owners of that site, but
> only received bounces/silence.

I can speak only for the firmware for the FullMAC chipsets. I had made
a collection from the windows drivers. Intersil at that time was very
aware of the website and never received any complaints so I took it
hosting the firmware alone was OK.

I take it the SoftMAC driver guys took the same approach.

  Luis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#481234; Package firmware-nonfree. (Sun, 17 May 2009 10:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ahmed Shabana <unlimitedeng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 May 2009 10:06:05 GMT) Full text and rfc822 format available.

Message #27 received at 481234@bugs.debian.org (full text, mbox):

From: Ahmed Shabana <unlimitedeng@gmail.com>
To: "Luis R. Rodriguez" <mcgrof@gmail.com>, 481234@bugs.debian.org
Subject: Re: Bug#481234: Where to get firmware for p54 driver?
Date: Sun, 17 May 2009 13:04:48 +0300
I recieve this bug when I run fedora 9 as a virtual machine "Guest os"
at a xen centos 5 host machine
 xm console OraceleFC9
PCI: Fatal: No config space access function found
isapnp: Write Data Register 0xa79 already used
i8042.c: No controller found.
Eeek! page_mapcount(page) went negative! (-1)
  page pfn = 31447
  page->flags = 80000014
  page->count = 0
  page->mapping = 00000000
  vma->vm_ops = 0x0
------------[ cut here ]------------
kernel BUG at mm/rmap.c:669!
invalid opcode: 0000 [#1] SMP
Modules linked in: bridge bnep rfcomm l2cap bluetooth fuse sunrpc
ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack
ip6table_filter ip6_tables x_tables loop dm_multipath ipv6 joydev
pcspkr xen_netfront dm_snapshot dm_zero dm_mirror dm_mod xen_blkfront
ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd

Pid: 1498, comm: vsftpd Not tainted (2.6.25-2.fc9.i686.xen #1)
EIP: 0061:[<c0478e84>] EFLAGS: 00210246 CPU: 0
EIP is at page_remove_rmap+0xcf/0xec
EAX: 00000000 EBX: c16ad8e0 ECX: c06da491 EDX: 00000000
ESI: ebca1478 EDI: c16ad8e0 EBP: ebdebe90 ESP: ebdebe88
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0069
Process vsftpd (pid: 1498, ti=ebdeb000 task=ebd32000 task.ti=ebdeb000)
Stack: 3a95c065 00000000 ebdebf1c c04721e9 c079f008 7275376f c07a2250 b7f83fff
       b7f83fff 00000000 ebca1478 ebdebf34 00000001 002f5c4a b7f83000 00000000
       b7f84000 ebd45df8 ebce0010 c040455a c1085000 c188e260 c0000000 ebdebf0c
Call Trace:
 [<c04721e9>] ? unmap_vmas+0x330/0x611
 [<c040455a>] ? pgd_walk+0x16a/0x175
 [<c0475b61>] ? exit_mmap+0x63/0xd6
 [<c04293ec>] ? mmput+0x37/0x79
 [<c042c90c>] ? exit_mm+0xda/0xdf
 [<c042df26>] ? do_exit+0x1ee/0x554
 [<c042e2fa>] ? do_group_exit+0x6e/0x85
 [<c042e324>] ? sys_exit_group+0x13/0x15
 [<c0408baa>] ? syscall_call+0x7/0xb
 =======================
Code: 8b 46 44 8b 50 08 b8 c7 a4 6d c0 e8 a8 22 fd ff 8b 46 4c 85 c0
74 14 8b 40 10 85 c0 74 0d 8b 50 2c b8 e5 a4 6d c0 e8 8d 22 fd ff <0f>
0b eb fe 8b 53 10 89 d8 83 e2 01 f7 da 83 c2 04 e8 d2 67 ff
EIP: [<c0478e84>] page_remove_rmap+0xcf/0xec SS:ESP 0069:ebdebe88
---[ end trace 2392674e6973869c ]---
Fixing recursive fault but reboot is needed!
BUG: scheduling while atomic: vsftpd/1498/0x00000001
Pid: 1498, comm: vsftpd Tainted: G      D  2.6.25-2.fc9.i686.xen #1
 [<c042827e>] __schedule_bug+0x4b/0x50
 [<c06331e0>] schedule+0x97/0x6db
 [<c0478e98>] ? page_remove_rmap+0xe3/0xec
 [<c042dde0>] do_exit+0xa8/0x554
 [<c040a19d>] die+0x15c/0x164
 [<c0635926>] do_trap+0x8a/0xa3
 [<c040a564>] ? do_invalid_op+0x0/0x76
 [<c040a5d0>] do_invalid_op+0x6c/0x76
 [<c0478e84>] ? page_remove_rmap+0xcf/0xec
 [<c0634ff1>] ? _spin_unlock_irqrestore+0x10/0x14
 [<c042b571>] ? release_console_sem+0x195/0x19d
 [<c042ba58>] ? vprintk+0x301/0x330
 [<ee264ab4>] ? ext3_dirty_inode+0x5f/0x67 [ext3]
 [<c04d3fa7>] ? avc_has_perm+0x39/0x43
 [<c0635282>] error_code+0x72/0x78
 [<c0478e84>] ? page_remove_rmap+0xcf/0xec
 [<c04721e9>] unmap_vmas+0x330/0x611
 [<c040455a>] ? pgd_walk+0x16a/0x175
 [<c0475b61>] exit_mmap+0x63/0xd6
 [<c04293ec>] mmput+0x37/0x79
 [<c042c90c>] exit_mm+0xda/0xdf
 [<c042df26>] do_exit+0x1ee/0x554
 [<c042e2fa>] do_group_exit+0x6e/0x85
 [<c042e324>] sys_exit_group+0x13/0x15
 [<c0408baa>] syscall_call+0x7/0xb
 =======================
------------[ cut here ]------------
kernel BUG at arch/x86/kernel/paravirt.c:241!
invalid opcode: 0000 [#2] SMP
Modules linked in: bridge bnep rfcomm l2cap bluetooth fuse sunrpc
ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack
ip6table_filter ip6_tables x_tables loop dm_multipath ipv6 joydev
pcspkr xen_netfront dm_snapshot dm_zero dm_mirror dm_mod xen_blkfront
ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd

Pid: 1498, comm: vsftpd Tainted: G      D  (2.6.25-2.fc9.i686.xen #1)
EIP: 0061:[<c041c416>] EFLAGS: 00210002 CPU: 0
EIP is at paravirt_enter_lazy_cpu+0x15/0x22
EAX: c07a224c EBX: ec04b700 ECX: ebd32254 EDX: 010ec000
ESI: ebc82000 EDI: ebcb98c0 EBP: ebdebce0 ESP: ebdebce0
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0069
Process vsftpd (pid: 1498, ti=ebdeb000 task=ebd32000 task.ti=ebdeb000)
Stack: ebdebd48 c063366f 00000000 c07a3438 c07a6480 c07a6480 c07a6480 ebd32000
       ebd32254 c1892480 00000000 c1892480 925beaae 00000002 c0478e98 ebd32254
       00000000 ebdebe50 ebdebe50 00000200 ebd32000 ebdebd44 c0638d12 ebdebe50
Call Trace:
 [<c063366f>] ? schedule+0x526/0x6db
 [<c0478e98>] ? page_remove_rmap+0xe3/0xec
 [<c042dde0>] ? do_exit+0xa8/0x554
 [<c040a19d>] ? die+0x15c/0x164
 [<c0635926>] ? do_trap+0x8a/0xa3
 [<c040a564>] ? do_invalid_op+0x0/0x76
 [<c040a5d0>] ? do_invalid_op+0x6c/0x76
 [<c0478e84>] ? page_remove_rmap+0xcf/0xec
 [<c0634ff1>] ? _spin_unlock_irqrestore+0x10/0x14
 [<c042b571>] ? release_console_sem+0x195/0x19d
 [<c042ba58>] ? vprintk+0x301/0x330
 [<ee264ab4>] ? ext3_dirty_inode+0x5f/0x67 [ext3]
 [<c04d3fa7>] ? avc_has_perm+0x39/0x43
 [<c0635282>] ? error_code+0x72/0x78
 [<c0478e84>] ? page_remove_rmap+0xcf/0xec
 [<c04721e9>] ? unmap_vmas+0x330/0x611
 [<c040455a>] ? pgd_walk+0x16a/0x175
 [<c0475b61>] ? exit_mmap+0x63/0xd6
 [<c04293ec>] ? mmput+0x37/0x79
 [<c042c90c>] ? exit_mm+0xda/0xdf
 [<c042df26>] ? do_exit+0x1ee/0x554
 [<c042e2fa>] ? do_group_exit+0x6e/0x85
 [<c042e324>] ? sys_exit_group+0x13/0x15
 [<c0408baa>] ? syscall_call+0x7/0xb
 =======================
Code: c0 83 3c 02 01 89 e5 74 04 0f 0b eb fe c7 04 02 00 00 00 00 5d
c3 55 b8 4c 22 7a c0 64 8b 15 10 21 7a c0 83 3c 02 00 89 e5 74 04 <0f>
0b eb fe c7 04 02 02 00 00 00 5d c3 55 b8 4c 22 7a c0 64 8b
EIP: [<c041c416>] paravirt_enter_lazy_cpu+0x15/0x22 SS:ESP 0069:ebdebce0
---[ end trace 2392674e6973869c ]---
Fixing recursive fault but reboot is needed!
BUG: scheduling while atomic: rsyslogd/1154/0x00000001
Pid: 1498, comm: vsftpd Tainted: G      D  2.6.25-2.fc9.i686.xen #1
 [<c042827e>] __schedule_bug+0x4b/0x50
 [<c06331e0>] schedule+0x97/0x6db
 [<c041c42a>] ? paravirt_leave_lazy_cpu+0x7/0x22
 [<c042dde0>] do_exit+0xa8/0x554
 [<c040a19d>] die+0x15c/0x164
 [<c0635926>] do_trap+0x8a/0xa3
 [<c040a564>] ? do_invalid_op+0x0/0x76
 [<c040a5d0>] do_invalid_op+0x6c/0x76
 [<c041c416>] ? paravirt_enter_lazy_cpu+0x15/0x22
 [<c0405af6>] ? xen_sched_clock+0x1a/0x5d
 [<c042096f>] ? __dequeue_entity+0x73/0x7b
 [<c0635282>] error_code+0x72/0x78
 [<c041c416>] ? paravirt_enter_lazy_cpu+0x15/0x22
 [<c063366f>] schedule+0x526/0x6db
 [<c0478e98>] ? page_remove_rmap+0xe3/0xec
 [<c042dde0>] do_exit+0xa8/0x554
 [<c040a19d>] die+0x15c/0x164
 [<c0635926>] do_trap+0x8a/0xa3
 [<c040a564>] ? do_invalid_op+0x0/0x76
 [<c040a5d0>] do_invalid_op+0x6c/0x76
 [<c0478e84>] ? page_remove_rmap+0xcf/0xec
 [<c0634ff1>] ? _spin_unlock_irqrestore+0x10/0x14
 [<c042b571>] ? release_console_sem+0x195/0x19d
 [<c042ba58>] ? vprintk+0x301/0x330
 [<ee264ab4>] ? ext3_dirty_inode+0x5f/0x67 [ext3]
 [<c04d3fa7>] ? avc_has_perm+0x39/0x43
 [<c0635282>] error_code+0x72/0x78
 [<c0478e84>] ? page_remove_rmap+0xcf/0xec
 [<c04721e9>] unmap_vmas+0x330/0x611
 [<c040455a>] ? pgd_walk+0x16a/0x175
 [<c0475b61>] exit_mmap+0x63/0xd6
 [<c04293ec>] mmput+0x37/0x79
 [<c042c90c>] exit_mm+0xda/0xdf
 [<c042df26>] do_exit+0x1ee/0x554
 [<c042e2fa>] do_group_exit+0x6e/0x85
 [<c042e324>] sys_exit_group+0x13/0x15
 [<c0408baa>] syscall_call+0x7/0xb
 =======================




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:03:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.